# pandas.Series.to_dict

`Series.``to_dict`(into=<type 'dict'>)

  Convert Series to {label -> value} dict or dict-like object.

  Parameters:

  into : class, default dict

  > The collections.Mapping subclass to use as the return object. Can be the actual class or an empty instance of the mapping type you want. If you want a collections.defaultdict, you must pass it initialized.

  > New in version 0.21.0.

  Returns: | value_dict : collections.Mapping

  Examples

      >>> s = pd.Series([1, 2, 3, 4])
      >>> s.to_dict()
      {0: 1, 1: 2, 2: 3, 3: 4}
      >>> from collections import OrderedDict, defaultdict
      >>> s.to_dict(OrderedDict)
      OrderedDict([(0, 1), (1, 2), (2, 3), (3, 4)])
      >>> dd = defaultdict(list)
      >>> s.to_dict(dd)
      defaultdict(<type 'list'>, {0: 1, 1: 2, 2: 3, 3: 4})

Scroll To Top